using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SerialPix
{
    public partial class frmRes : Form
    {
        public frmRes(int displayWidth, int displayHeight)
        {
            InitializeComponent();
            txtWidth.Text = displayWidth.ToString();
            txtHeight.Text = displayHeight.ToString();
        }

        private void frmRes_Load(object sender, EventArgs e)
        {

        }

        private void butOK_Click(object sender, EventArgs e)
        {
            try
            {
                int displayWidth = int.Parse(txtWidth.Text);
                int displayHeight = int.Parse(txtHeight.Text);

                if (displayWidth > 0 && displayHeight > 0)
                {
                    this.Tag = new int[] { displayWidth, displayHeight };
                }

            }
            catch (Exception ex)
            {
                this.DialogResult = DialogResult.Cancel;
            }
        }
    }
}